#include<iostream>
#include<bits/stdc++.h>
using namespace std;
int main()
{
    map<int,int> m;
    map<int,bool> u;
    int n,k,br=0;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        m[a[i]]=0;
    }
    for(int i=0;i<n;i++)
    {
        m[a[i]]++;
        u[a[i]]=false;
    }
    for(int i=0;i<n;i++)
    {
        if(m[a[i]]>=k&&u[a[i]]==false)
        {
            br++;
            u[a[i]]=true;
        }
    }
    cout<<br<<endl;
    for(int i=0;i<n;i++)
    {
        u[a[i]]=false;
    }
    for(int i=0;i<n;i++)
    {
        if(m[a[i]]>=k&&u[a[i]]==false)
        {
            cout<<a[i]<<" ";
            u[a[i]]=true;
        }
    }
    cout<<endl;
}